## ferret scan-1.3.23

=== Makefile ===
# Makefile for ferret-scan Python package

.PHONY: help test test-verbose clean install-dev setup-env

help:
	@echo "Available targets:"
	@echo "  setup-env     - Create virtual environment and install dependencies"
	@echo "  test          - Run all tests"
	@echo "  test-verbose  - Run tests with verbose output"
	@echo "  clean         - Clean up temporary files and virtual environment"
	@echo "  install-dev   - Install package in development mode"

setup-env:
	python -m venv test_env
	test_env/bin/pip install -r requirements.txt
	@echo "Virtual environment created. Activate with: source test_env/bin/activate"

test:
	@if [ ! -d "test_env" ]; then \
		echo "Virtual environment not found. Run 'make setup-env' first."; \
		exit 1; \
	fi
	test_env/bin/python tests/run_tests.py

test-verbose:
	@if [ ! -d "test_env" ]; then \
		echo "Virtual environment not found. Run 'make setup-env' first."; \
		exit 1; \
	fi
	test_env/bin/python -m unittest discover -s tests -p 'test_*.py' -v

install-dev:
	@if [ ! -d "test_env" ]; then \
		echo "Virtual environment not found. Run 'make setup-env' first."; \
		exit 1; \
	fi
	test_env/bin/pip install -e .

clean:
	rm -rf test_env/
	rm -rf build/
	rm -rf dist/
	rm -rf *.egg-info/
	find . -type d -name __pycache__ -exec rm -rf {} +
	find . -type f -name "*.pyc" -delete

## ferret 0.6

=== debian/changelog ===
ferret (0.6-5) unstable; urgency=low

  * QA upload.
  * Replace obsolete tk8.4 by tk in the package dependencies (closes: #741905).
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 17 Mar 2014 09:15:36 +0400

ferret (0.6-4) unstable; urgency=low

  * QA upload.
  * Change maintainer to QA Group.
  * debian/ cleanup:
    - Move Homepage from description to own field and update URL
      (Closes: #615466)
    - Fixed typo in description. From Ubuntu patch by Murat Gunes.
      (LP: #189463)
    - Bump debhelper compat to 9.
    - Convert from cdbs/simple-patchsys to dh/3.0 (quilt)
    - Really add debian/watch
    - Update menu section

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 20 Jan 2013 01:54:02 +0100

ferret (0.6-3) unstable; urgency=low

  * Add Suggest PostgreSQL or Mysql in debian/control
  * Add Build-Dependes-Indep in debian/control
  * Add debian/watch

 -- Fernando Ike de Oliveira <fike@midstorm.org>  Sat, 29 Jul 2006 00:05:59 -0300

ferret (0.6-2) unstable; urgency=medium

  * Fix missing dependency bwidget. (Closes: #375356)
  * Fix long description. (Closes: #375321)
  * Fix grammar in description. (Closes: #375320)
  * Create entrered in the menu.

 -- Fernando Ike de Oliveira <fernandoike@uol.com.br>  Thu, 29 Jun 2006 15:37:16 -0300

ferret (0.6-1) unstable; urgency=low

  * Port of the packaging from Ubuntu to Debian
  * Add man page
  * change name to ferret

 -- Fernando Ike de Oliveira <fernandoike@uol.com.br>  Tue,  7 Feb 2006 22:45:12 -0200

gerwin (0.6-0ubuntu5) breezy; urgency=low

  * Add support for opening files from command line.

 -- Jorge Bernal <koke@amedias.org>  Tue, 14 Jun 2005 22:25:09 +0200

gerwin (0.6-0ubuntu4) breezy; urgency=low

  * Fix _ fields in .desktop file.

 -- Jorge Bernal <koke@amedias.org>  Tue, 14 Jun 2005 22:05:32 +0200

gerwin (0.6-0ubuntu3) breezy; urgency=low

  * Actually copy the .desktop file to /usr/share/applications.
  * Install gerwin to correct location.

 -- Jorge Bernal <koke@amedias.org>  Tue, 14 Jun 2005 21:35:38 +0200

gerwin (0.6-0ubuntu2) breezy; urgency=low

  * Register application/x-gerwin MIME-type at installation.
  * New .desktop file.

 -- Jorge Bernal <koke@amedias.org>  Tue, 14 Jun 2005 21:23:23 +0200

gerwin (0.6-0ubuntu1) breezy; urgency=low

  * Initial Release.

 -- Jorge Bernal <koke@amedias.org>  Mon, 23 May 2005 22:58:21 +0200

=== debian/control ===
Source: ferret
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep: devscripts
Standards-Version: 3.9.5
Homepage: https://www.gnu.org/software/ferret/

Package: ferret
Architecture: all
Depends: tk, bwidget (>= 1.7.0), ${misc:Depends}
Suggests: postgresql | mysql-server
Description: CASE tool for data model editing
 GNU Ferret (Free Entity Relationship and Reverse Engineering Tool)
 serves to edit data models. These can be implemented within a range of
 relational databases such as PostgreSQL or MySQL.

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/ferret/ferret-(.+)\.tar\.gz

## ferret 0.7

=== debian/changelog ===
ferret (0.7-5) unstable; urgency=medium

  * QA upload.
  * Remove old build-dep on devscripts

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 17:00:14 +0200

ferret (0.7-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 May 2024 08:53:48 +0200

ferret (0.7-3) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: change from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using a secure URI in the Format field.
  * debian/upstream/metadata: created.
  * debian/watch: using a secure URI.

 -- David da Silva Polverari <polverari@debian.org>  Thu, 02 Nov 2023 04:11:24 +0000

ferret (0.7-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 17:00:43 +0300

ferret (0.7-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/patches: replace 10_avoid-direct-changes.patch with
    10-change-paths-names.patch updating changes for the new upstream
    version.
  * 20-remove-cvs-files.patch: remove CVS files.
  * debian/docs: remove TODO, THANKS, FILE_MIGRATION-0.5-to-0.6, not present
    any more.
  * debian/copyright:
    - Add widgets/bwidget license.
    - change ferret license from GPL-2 to GPL-3.

 -- Mònica Ramírez Arceda <monica@debian.org>  Wed, 31 May 2017 08:28:21 +0200

ferret (0.6-6) unstable; urgency=medium

  * QA upload.
  * Updated DH level to 10.
  * debian/control:
      - Added mariadb-server and virtual-mysql-server on Suggests
        field. (Closes: #781978)
      - Bumped Standards-Version to 3.9.8.
  * debian/copyright: converted to format 1.0.
  * debian/dirs: deleted because the path was empty.
  * debian/docs: added the file FILE_MIGRATION-0.5-to-0.6.
  * debian/ferret.desktop: added a Keywords entry.
  * debian/ferret.menu: deleted according tech-CTTE decision on #741573.
  * debian/patches/10_avoid-direct-changes.patch: renamed and
    added Description field.
  * debian/README.source: created to explain the name change of the package
    by the upstream.
  * debian/upstream/signing-key.asc: added.
  * debian/watch: improved.

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Mon, 07 Nov 2016 22:36:26 -0200

=== debian/control ===
Source: ferret
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.gnu.org/software/ferret/
Vcs-Browser: https://salsa.debian.org/debian/ferret
Vcs-Git: https://salsa.debian.org/debian/ferret.git

Package: ferret
Architecture: all
Depends: bwidget (>= 1.7.0),
         tk,
         ${misc:Depends},
Suggests: postgresql | mariadb-server | virtual-mysql-server,
Description: CASE tool for data model editing
 GNU Ferret (Free Entity Relationship and Reverse Engineering Tool)
 serves to edit data models. These can be implemented within a range of
 relational databases such as PostgreSQL or MySQL.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install -Xwidgets/bwidget/LICENSE.txt

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://ftp.gnu.org/gnu/ferret/ferret-(\d\S+)\.tar\.(?:bz2|gz|xz)
